Bug 1900686 - CVE-2020-25713 raptor2: malformed input file can lead to a segfault due to an out of bounds array access in raptor_xml_writer_start_element_common [fedora-all]
Summary: CVE-2020-25713 raptor2: malformed input file can lead to a segfault due to an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: raptor2
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-25713
TreeView+ depends on / blocked
 
Reported: 2020-11-23 14:25 UTC by Marian Rehak
Modified: 2021-01-20 01:27 UTC (History)
4 users (show)

Fixed In Version: raptor2-2.0.15-27.fc34 raptor2-2.0.15-27.eln108 raptor2-2.0.15-27.fc33 raptor2-2.0.15-27.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-11 12:09:57 UTC
Type: ---


Attachments (Terms of Use)
we think this is the better solution (1.17 KB, patch)
2020-11-24 11:20 UTC, Caolan McNamara
no flags Details | Diff

Description Marian Rehak 2020-11-23 14:25:03 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-11-23 14:25:06 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1900685,1900686

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Caolan McNamara 2020-11-24 11:20:58 UTC
Created attachment 1732949 [details]
we think this is the better solution

Comment 4 Caolan McNamara 2021-01-11 11:56:50 UTC
I can take this if there is no objections

Comment 5 Fedora Update System 2021-01-11 12:09:57 UTC
FEDORA-2021-a918c68d19 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-01-11 12:18:17 UTC
FEDORA-2021-5752e07eb6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5752e07eb6

Comment 7 Fedora Update System 2021-01-11 12:18:57 UTC
FEDORA-2021-72a713f253 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-01-12 01:09:01 UTC
FEDORA-2021-5752e07eb6 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5752e07eb6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5752e07eb6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-01-12 01:26:22 UTC
FEDORA-2021-8fe81dcf9f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8fe81dcf9f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8fe81dcf9f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-01-18 01:33:55 UTC
FEDORA-2021-8fe81dcf9f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-01-20 01:27:15 UTC
FEDORA-2021-5752e07eb6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.